de.vc.jfo.env

## Class RTF2FOConfig

- java.lang.Object
- - de.vc.jfo.env.RTF2FOConfig

- All Implemented Interfaces:
    java.lang.Cloneable

      public class RTF2FOConfig
      extends java.lang.Object
      implements java.lang.Cloneable

  Holds default configuration for RTF import.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RTF2FOCompatibilityMode` | `COMPATIBILITY_MODE_FOP_0_20_5` Deprecated. Use RTF2FOCompatibilityMode.COMPATIBILITY_MODE_FOP_0_20_5.
    `static RTF2FOCompatibilityMode` | `COMPATIBILITY_MODE_W3C` Deprecated. Use RTF2FOCompatibilityMode.COMPATIBILITY_MODE_W3C.
    `static int` | `DATA_ROW_BORDER_POLICY_AUTO` Use this policy to let the XSL-FO render resolve, what border is displayed between 2 rows.
    `static int` | `DATA_ROW_BORDER_POLICY_BOTTOM_BORDER` Use this policy to display the bottom border of the field cell between two data rows of a table.
    `static int` | `DATA_ROW_BORDER_POLICY_NO_BORDER` Use this policy to avoid any horizontal borders between two data rows of a table.
    `static int` | `DATA_ROW_BORDER_POLICY_TOP_BORDER` Use this policy to display the top border of the field cell between two data rows of a table.
    `static int` | `HYPHENATION_POLICY_AUTO` Hyphenation properties are applied to the XSL-FO document if hyphenation is enabled in the RTF document.
    `static int` | `HYPHENATION_POLICY_DISABLE` No hyphenation properties are converted into the XSL-FO document during conversion.
    `static int` | `HYPHENATION_POLICY_FORCE` Hyphenation is always enabled in the XSL-FO document, regardless if it's disabled in RTF.
    `static int` | `IMAGE_TREATMENT_EXTERNAL` Use the external image treatment to store images of an RTF into an image-directory.
    `static int` | `IMAGE_TREATMENT_FOREIGN_INSTREAM` Use a foreign instream object like XXXXXXCONTENT OF IMAGE XXXXXX
    `static int` | `IMAGE_TREATMENT_INSTREAM` Use the instream image treatment to put the image directly into the resulting XSL-FO tree.
    `static int` | `IMAGE_TREATMENT_SVG_INSTREAM` Use the SVG instream image treatment to include the image as an SVG foreign instream object.
    `static int` | `TRACK_CHANGES_POLICY_CHANGES` Use this policy to show changes in the documents.
    `static int` | `TRACK_CHANGES_POLICY_FINAL` Use this policy to show the final document.
    `static int` | `TRACK_CHANGES_POLICY_ORIGINAL` Use this policy to show the original document and ignore any changes.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `de.vc.config.Configuration` | `buildConfiguration()` Builds an Avalon-Configuration object from this configuration.
    `void` | `configure(de.vc.config.Configuration configuration)` Configures this configuration with an Avalon configuration object.
    `RTF2FOConfig` | `copy()` Makes a copy of this configuration.
    `static java.lang.String` | `dataRowBorderPolicyToString(int policy)` Returns the String representation for the data-row-border-policy property.
    `RTF2FOCompatibilityMode` | `getCompatibilityMode()` Gets the compatibility mode.
    `int` | `getDataRowBorderPolicy()` Gets the data row border policy.
    `java.lang.String` | `getDefaultImageDir()` Gets the default directory where output-images are stored.
    `Measure` | `getDefaultTabWidth()` Gets the default tabulator width or null for auto width.
    `java.util.Locale` | `getDocumentLanguage()` Gets the locale that is used to format dates and numbers during conversion.
    `double` | `getEstimatorXScaling()`
    `int` | `getHyphenationPolicy()` Gets the hyphenation policy.
    `java.lang.String` | `getImageHandler()`
    `int` | `getImageTreatment()` Gets the treatment of images.
    `Measure` | `getLineHeightFactor()` Gets the line height factor.
    `int` | `getPatternImageDPI()` Gets the dots per inch value applied to generated pattern image.
    `java.awt.Color` | `getTrackChangesDeletedColor()`
    `int` | `getTrackChangesPolicy()`
    `java.awt.Color` | `getTrackChangesRevisedColor()`
    `boolean` | `isAdjustFooterHeight()` Return true if the footer-height is adjusted.
    `boolean` | `isAdjustHeaderHeight()` Return true if the header-height is adjusted.
    `boolean` | `isCompatibilityMode(RTF2FOCompatibilityMode mode)` Checks if a given compatibility mode is set.
    `boolean` | `isDefaultFontOnRoot()` Returns true if the default font (of the font-mapper) should be set on the fo:root element.
    `boolean` | `isEnableBackgroundImage()`
    `boolean` | `isEnableBookmarks()` Returns whether bookmarks are handled by JFO.
    `boolean` | `isEnableLanguageSupport()` Returns true if language properties are added to XSL-FO output.
    `boolean` | `isEnableLanguageVariant()` Returns true if not just the language code (e.g.
    `boolean` | `isEnableTabulators()` Checks if JFO processes tabulators.
    `boolean` | `isFixWordCellPaddingBug()` Due to a bug in Microsoft Word top and left paddings of a cell are swapped.
    `boolean` | `isFooterOverflowVisible()` If this property is set to true, JFO may produce an output where the footer overflows document's body.
    `boolean` | `isForceSymbolBullet()` Determinates, if all bullets of lists are replaced through default bullet of Adobes Symbol font during RTF import.
    `boolean` | `isHeaderOverflowVisible()` If this property is set to true, JFO may produce an output where the header overflows document's body.
    `boolean` | `isProcessHiddenText()` Checks if JFO processes hidden text.
    `boolean` | `isReuseImages()` Return true, if existing images in the image-output folder should be re-used.
    `boolean` | `isShowInvalidIncBookmarks()` Return true if invalid/missing bookmarks of included files produce an error message in the output file.
    `boolean` | `isShowInvalidIncFiles()` Returns true if an error message is displayed for invalid / missing included files.
    `boolean` | `isShowMissingIncFilename()` Gets whether missing filenames of INCLUDETEXT fields generates an error message in the output.
    `boolean` | `isStrictHeaderFooterHandling()` Returns true if headers and footers of title and facings are handled strict to the RTF specification.
    `static int` | `parseDataRowBorderPolicy(java.lang.String policy)` Returns the constant value for a String representation of the data-row-border-policy.
    `void` | `reconfigure(de.vc.config.Configuration configuration)` Re-Configures this configuration with an Avalon configuration object.
    `void` | `setAdjustFooterHeight(boolean adjustFooterHeight)` Sets whether the height of footers are adjusted if neccessary.
    `void` | `setAdjustHeaderHeight(boolean adjustHeaderHeight)` Sets whether the height of headers are adjusted if neccessary.
    `void` | `setCompatibilityMode(RTF2FOCompatibilityMode compatibilityMode)` Sets the compatibility mode.
    `void` | `setDataRowBorderPolicy(int dataRowBorderPolicy)` Sets the data row border policy that is used horizontal borders between data rows.
    `void` | `setDefaultFontOnRoot(boolean defaultFontOnRoot)` Sets whether the default font is set on the fo:root element.
    `void` | `setDefaultImageDir(java.lang.String dir)` Sets the default image Directory.
    `void` | `setDefaultTabWidth(Measure defaultTabWidth)` Sets the default tabulator width.
    `void` | `setDocumentLanguage(java.util.Locale locale)` Sets the locale that is used to format dates and numbers during conversion.
    `void` | `setEnableBackgroundImage(boolean rtfEnableBackgroundImage)`
    `void` | `setEnableBookmarks(boolean enableBookmarks)` Enables or disables handling of bookmarks.
    `void` | `setEnableLanguageSupport(boolean enableLanguageSupport)` Sets whether language properties are added to XSL-FO output.
    `void` | `setEnableLanguageVariant(boolean enableLanguageVariant)`
    `void` | `setEnableTabulators(boolean enable)` Sets whether JFO processes tabulators or not.
    `void` | `setEstimatorXScaling(double estimatorXScaling)`
    `void` | `setFixWordCellPaddingBug(boolean fixWordCellPaddingBug)` Due to a bug in Microsoft Word top and left paddings of a cell are swapped.
    `void` | `setFooterOverflowVisible(boolean footerOverflowVisible)` If this property is set to true, JFO may produce an output where the footer overflows document's body.
    `void` | `setForceSymbolBullet(boolean rtfForceSymbolBullet)` Sets, if all bullets of lists are replaced through default bullet of Adobes Symbol font during RTF import.
    `void` | `setHeaderOverflowVisible(boolean headerOverflowVisible)` If this property is set to true, JFO may produce an output where the header overflows document's body.
    `void` | `setHyphenationPolicy(int hyphenationPolicy)` Sets the hyphenation policy.
    `void` | `setImageHandler(java.lang.String imageHandler)`
    `void` | `setImageTreatment(int imageTreatment)` Sets the treatment of images.
    `void` | `setLineHeightFactor(Measure lineHeightFactor)` Sets the line height factor (stretching).
    `void` | `setPatternImageDPI(int patternImageDPI)` Sets the dots per inch value applied to generated pattern image.
    `void` | `setProcessHiddenText(boolean processHiddenText)` Set whether JFO processes or ignores text that is marked as hidden.
    `void` | `setReuseImages(boolean reuseImages)` Sets whether or not existing images in the image-output folder should be re-used.
    `void` | `setShowInvalidIncBookmarks(boolean showInvalidIncBookmarks)` Sets whether invalid/missing bookmarks of included files produce an error message in the output file.
    `void` | `setShowInvalidIncFiles(boolean showInvalidIncFiles)` Sets whether invalid / missing included files generates an error message in the output document.
    `void` | `setShowMissingIncFilename(boolean showMissingIncFilename)` Sets whether missing filenames in INCLUDETEXT fields generates an error message in the output.
    `void` | `setStrictHeaderFooterHandling(boolean strictHeaderFooterHandling)` Sets whether headers and footers of title and facings are handled strict to the RTF specification.
    `void` | `setTrackChangesDeletedColor(java.awt.Color trackChangesDeletedColor)`
    `void` | `setTrackChangesPolicy(int trackChangesPolicy)`
    `void` | `setTrackChangesRevisedColor(java.awt.Color trackChangesRevisedColor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IMAGE_TREATMENT_EXTERNAL

          public static final int IMAGE_TREATMENT_EXTERNAL

      Use the external image treatment to store images of an RTF into an image-directory.
      See Also:
        Constant Field Values

    - #### IMAGE_TREATMENT_INSTREAM

          public static final int IMAGE_TREATMENT_INSTREAM

      Use the instream image treatment to put the image directly into the resulting XSL-FO tree. Note, JFO uses the data protocol scheme as defined in RFC 2397 to store the image. Most renderers doesn't support URLs with the data protocol, but JFO tries to set a URLStreamHandlerFactory that should solve the lack. JFO can't set its URLStreamHandlerFactory if already another factory is installed (e.g. by a web- or application-server); currently a JVM allows only one factory.
      See Also:
        `URL.setURLStreamHandlerFactory(java.net.URLStreamHandlerFactory)`, `ExtendableURLStreamHandlerFactory`, Constant Field Values

    - #### IMAGE_TREATMENT_SVG_INSTREAM

          public static final int IMAGE_TREATMENT_SVG_INSTREAM

      Use the SVG instream image treatment to include the image as an SVG foreign instream object.
      See Also:
        Constant Field Values

    - #### IMAGE_TREATMENT_FOREIGN_INSTREAM

          public static final int IMAGE_TREATMENT_FOREIGN_INSTREAM

      Use a foreign instream object like XXXXXXCONTENT OF IMAGE XXXXXX
      See Also:
        Constant Field Values

    - #### COMPATIBILITY_MODE_W3C

          public static final RTF2FOCompatibilityMode COMPATIBILITY_MODE_W3C

      Deprecated. Use RTF2FOCompatibilityMode.COMPATIBILITY_MODE_W3C.
      Compatibility mode for (default) W3C XSL-FO standard.

    - #### COMPATIBILITY_MODE_FOP_0_20_5

          public static final RTF2FOCompatibilityMode COMPATIBILITY_MODE_FOP_0_20_5

      Deprecated. Use RTF2FOCompatibilityMode.COMPATIBILITY_MODE_FOP_0_20_5.
      Compatibility mode for FOP (Version 0.20.5).

    - #### DATA_ROW_BORDER_POLICY_AUTO

          public static final int DATA_ROW_BORDER_POLICY_AUTO

      Use this policy to let the XSL-FO render resolve, what border is displayed between 2 rows. Each data cell has the top and bottom border of the field cell. There may be a border conflict between two rows, if the bottom border has another style than the top border. An XSL-FO renderer should use the border conflict resolution as described by the W3C: http://www.w3.org/TR/REC-CSS2/tables.html#border-conflict-resolution
      See Also:
        Constant Field Values

    - #### DATA_ROW_BORDER_POLICY_NO_BORDER

          public static final int DATA_ROW_BORDER_POLICY_NO_BORDER

      Use this policy to avoid any horizontal borders between two data rows of a table.
      See Also:
        Constant Field Values

    - #### DATA_ROW_BORDER_POLICY_TOP_BORDER

          public static final int DATA_ROW_BORDER_POLICY_TOP_BORDER

      Use this policy to display the top border of the field cell between two data rows of a table.
      Example: if the field cell has a red top border and a green bottom border, the red border is displayed between data rows.
      See Also:
        Constant Field Values

    - #### DATA_ROW_BORDER_POLICY_BOTTOM_BORDER

          public static final int DATA_ROW_BORDER_POLICY_BOTTOM_BORDER

      Use this policy to display the bottom border of the field cell between two data rows of a table.
      Example: if the field cell has a red top border and a green bottom border, the green border is displayed between data rows.
      See Also:
        Constant Field Values

    - #### HYPHENATION_POLICY_AUTO

          public static final int HYPHENATION_POLICY_AUTO

      Hyphenation properties are applied to the XSL-FO document if hyphenation is enabled in the RTF document.
      See Also:
        Constant Field Values

    - #### HYPHENATION_POLICY_FORCE

          public static final int HYPHENATION_POLICY_FORCE

      Hyphenation is always enabled in the XSL-FO document, regardless if it's disabled in RTF.
      See Also:
        Constant Field Values

    - #### HYPHENATION_POLICY_DISABLE

          public static final int HYPHENATION_POLICY_DISABLE

      No hyphenation properties are converted into the XSL-FO document during conversion.
      See Also:
        Constant Field Values

    - #### TRACK_CHANGES_POLICY_ORIGINAL

          public static final int TRACK_CHANGES_POLICY_ORIGINAL

      Use this policy to show the original document and ignore any changes.
      See Also:
        Constant Field Values

    - #### TRACK_CHANGES_POLICY_CHANGES

          public static final int TRACK_CHANGES_POLICY_CHANGES

      Use this policy to show changes in the documents. Deleted and added text is display with another style.
      See Also:
        Constant Field Values

    - #### TRACK_CHANGES_POLICY_FINAL

          public static final int TRACK_CHANGES_POLICY_FINAL

      Use this policy to show the final document.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### copy

          public RTF2FOConfig copy()

      Makes a copy of this configuration. A copy can be used to specialize the global configuration and to override the default configuration of the RTF importer.
      Returns:
        RTF2FOConfig
      See Also:
        `RTFImporter.setConfiguration(RTF2FOConfig c)`

    - #### buildConfiguration

          public de.vc.config.Configuration buildConfiguration()

      Builds an Avalon-Configuration object from this configuration.
      Returns:
        Avalon Configuration.

    - #### isForceSymbolBullet

          public boolean isForceSymbolBullet()

      Determinates, if all bullets of lists are replaced through default bullet of Adobes Symbol font during RTF import.
      Default: false
      Returns:
        true, if force default bullet.

    - #### setForceSymbolBullet

          public void setForceSymbolBullet(boolean rtfForceSymbolBullet)

      Sets, if all bullets of lists are replaced through default bullet of Adobes Symbol font during RTF import.
      Parameters:
        `rtfForceSymbolBullet` - true, if force default bullet.

    - #### isEnableBackgroundImage

          public boolean isEnableBackgroundImage()

    - #### setEnableBackgroundImage

          public void setEnableBackgroundImage(boolean rtfEnableBackgroundImage)

    - #### isEnableTabulators

          public boolean isEnableTabulators()

      Checks if JFO processes tabulators.
      Returns:
        `false` if tabulators are skipped.

    - #### setEnableTabulators

          public void setEnableTabulators(boolean enable)

      Sets whether JFO processes tabulators or not.
      Parameters:
        `enable` - `false` to skip tabulators.

    - #### getDefaultTabWidth

          public Measure getDefaultTabWidth()

      Gets the default tabulator width or null for auto width.
      Returns:
        Tabulator width.

    - #### setDefaultTabWidth

          public void setDefaultTabWidth(Measure defaultTabWidth)

      Sets the default tabulator width.
      Parameters:
        `defaultTabWidth` - Width or null for auto width.

    - #### isEnableBookmarks

          public boolean isEnableBookmarks()

      Returns whether bookmarks are handled by JFO. Bookmarks are stored as a fo:wrapper or as single fo:block. The default value is true.
      Returns:
        true, if JFO processes bookmarks.

    - #### setEnableBookmarks

          public void setEnableBookmarks(boolean enableBookmarks)

      Enables or disables handling of bookmarks.
      Parameters:
        `enableBookmarks` - Enable bookmarks.

    - #### getImageTreatment

          public int getImageTreatment()

      Gets the treatment of images.
      Returns:
        Treatment of image.

    - #### isProcessHiddenText

          public boolean isProcessHiddenText()

      Checks if JFO processes hidden text.
      Returns:
        `true` if hidden text is processed.

    - #### getCompatibilityMode

          public RTF2FOCompatibilityMode getCompatibilityMode()

      Gets the compatibility mode.
      Returns:
        Mode.

    - #### isCompatibilityMode

          public boolean isCompatibilityMode(RTF2FOCompatibilityMode mode)

      Checks if a given compatibility mode is set.
      Parameters:
        `mode` - RTF2FOCompatibilityMode
      Returns:
        true if `mode` is set.

    - #### isHeaderOverflowVisible

          public boolean isHeaderOverflowVisible()

      If this property is set to true, JFO may produce an output where the header overflows document's body.
      Returns:
        true if header may overflow body.

    - #### isFooterOverflowVisible

          public boolean isFooterOverflowVisible()

      If this property is set to true, JFO may produce an output where the footer overflows document's body.
      Returns:
        true if footer may overflow body.

    - #### isAdjustHeaderHeight

          public boolean isAdjustHeaderHeight()

      Return true if the header-height is adjusted.
      Returns:
        true, if header-height is adjusted.

    - #### isAdjustFooterHeight

          public boolean isAdjustFooterHeight()

      Return true if the footer-height is adjusted.
      Returns:
        true, if footer-height is adjusted.

    - #### getDataRowBorderPolicy

          public int getDataRowBorderPolicy()

      Gets the data row border policy.
      Returns:
        Data row border policy.
      See Also:
        `DATA_ROW_BORDER_POLICY_AUTO`, `DATA_ROW_BORDER_POLICY_BOTTOM_BORDER`, `DATA_ROW_BORDER_POLICY_TOP_BORDER`, `DATA_ROW_BORDER_POLICY_NO_BORDER`

    - #### getLineHeightFactor

          public Measure getLineHeightFactor()

      Gets the line height factor. This factor is a percentage (about 100% and 125%) and is applied to the line-height attribute of generated fo:block elements. A null value means "auto" (the line height factor is set according to the compatibility mode).
      Returns:
        Line height factor or null if the line height factor is selected according the compatibility mode.

    - #### isFixWordCellPaddingBug

          public boolean isFixWordCellPaddingBug()

      Due to a bug in Microsoft Word top and left paddings of a cell are swapped. To fix this bug enable this property. See also http://www.theimagingsourceforums.com/showthread.php?threadid=317071.
      Returns:
        true if the bug is fixed.

    - #### getDocumentLanguage

          public java.util.Locale getDocumentLanguage()

      Gets the locale that is used to format dates and numbers during conversion. A configured locale overrides language settings of the RTF document.
      Returns:
        Locale (can be null).

    - #### isEnableLanguageSupport

          public boolean isEnableLanguageSupport()

      Returns true if language properties are added to XSL-FO output.
      Returns:
        boolean

    - #### isEnableLanguageVariant

          public boolean isEnableLanguageVariant()

      Returns true if not just the language code (e.g. "en"), but also the country code / variant is converted (e.g. "en_US").
      Returns:
        boolean

    - #### setCompatibilityMode

          public void setCompatibilityMode(RTF2FOCompatibilityMode compatibilityMode)

      Sets the compatibility mode. The default compatibility mode is W3C.
      Parameters:
        `compatibilityMode` - New mode.
      See Also:
        `RTF2FOCompatibilityMode.W3C`, `RTF2FOCompatibilityMode.FOP_0_20_5`, `RTF2FOCompatibilityMode.XEP_4`, `RTF2FOCompatibilityMode.AXF_3`, `RTF2FOCompatibilityMode.IBEX_3`

    - #### setImageTreatment

          public void setImageTreatment(int imageTreatment)

      Sets the treatment of images.
      Parameters:
        `imageTreatment` - Treatment.

    - #### setProcessHiddenText

          public void setProcessHiddenText(boolean processHiddenText)

      Set whether JFO processes or ignores text that is marked as hidden.
      Parameters:
        `processHiddenText` - `false` to ignore hidden text.

    - #### setHeaderOverflowVisible

          public void setHeaderOverflowVisible(boolean headerOverflowVisible)

      If this property is set to true, JFO may produce an output where the header overflows document's body. Enable this property if you don't want that the renderer crops the header, even if it needs more space then reserved.
      Parameters:
        `headerOverflowVisible` - boolean

    - #### setFooterOverflowVisible

          public void setFooterOverflowVisible(boolean footerOverflowVisible)

      If this property is set to true, JFO may produce an output where the footer overflows document's body. Enable this property if you don't want that the renderer crops the footer, even if it needs more space then reserved.
      Parameters:
        `footerOverflowVisible` - boolean

    - #### setAdjustHeaderHeight

          public void setAdjustHeaderHeight(boolean adjustHeaderHeight)

      Sets whether the height of headers are adjusted if neccessary.
      Parameters:
        `adjustHeaderHeight` - true to enable adjustment.

    - #### setAdjustFooterHeight

          public void setAdjustFooterHeight(boolean adjustFooterHeight)

      Sets whether the height of footers are adjusted if neccessary.
      Parameters:
        `adjustFooterHeight` - true to enable adjustment.

    - #### setDataRowBorderPolicy

          public void setDataRowBorderPolicy(int dataRowBorderPolicy)

      Sets the data row border policy that is used horizontal borders between data rows.
      Parameters:
        `dataRowBorderPolicy` - Horizontal border policy.
      See Also:
        `DATA_ROW_BORDER_POLICY_AUTO`, `DATA_ROW_BORDER_POLICY_NO_BORDER`, `DATA_ROW_BORDER_POLICY_TOP_BORDER`, `DATA_ROW_BORDER_POLICY_BOTTOM_BORDER`

    - #### setLineHeightFactor

          public void setLineHeightFactor(Measure lineHeightFactor)

      Sets the line height factor (stretching). This factor is a percentage (about 100% and 125%) and is applied to the line-height attribute of generated fo:block elements. A null value means "auto" (the line height factor is set according to the compatibility mode).
      Parameters:
        `lineHeightFactor` - Percentage.

    - #### isDefaultFontOnRoot

          public boolean isDefaultFontOnRoot()

      Returns true if the default font (of the font-mapper) should be set on the fo:root element.
      Returns:
        true, if default font is set on fo:root.

    - #### setDefaultFontOnRoot

          public void setDefaultFontOnRoot(boolean defaultFontOnRoot)

      Sets whether the default font is set on the fo:root element.
      Parameters:
        `defaultFontOnRoot` - Use default font.

    - #### setFixWordCellPaddingBug

          public void setFixWordCellPaddingBug(boolean fixWordCellPaddingBug)

      Due to a bug in Microsoft Word top and left paddings of a cell are swapped. To fix this bug enable this property. See also http://www.theimagingsourceforums.com/showthread.php?threadid=317071.
      Parameters:
        `fixWordCellPaddingBug` - true to fix the bug.

    - #### setDocumentLanguage

          public void setDocumentLanguage(java.util.Locale locale)

      Sets the locale that is used to format dates and numbers during conversion. A configured locale overrides language settings of the RTF document.
      Parameters:
        `locale` - Locale of RTF document.

    - #### setEnableLanguageSupport

          public void setEnableLanguageSupport(boolean enableLanguageSupport)

      Sets whether language properties are added to XSL-FO output.
      Parameters:
        `enableLanguageSupport` - Enable language support.
      See Also:
        `setHyphenationPolicy(int)`

    - #### getHyphenationPolicy

          public int getHyphenationPolicy()

      Gets the hyphenation policy.
      Returns:
        int
      See Also:
        `HYPHENATION_POLICY_AUTO`, `HYPHENATION_POLICY_FORCE`, `HYPHENATION_POLICY_DISABLE`

    - #### getPatternImageDPI

          public int getPatternImageDPI()

      Gets the dots per inch value applied to generated pattern image. Pattern images are generated if a table cell has a background pattern. Note, that some renderer doesn't respect DPI size and use a fixed DPI (e.g. FOP 0.20.5 uses 72 DPI).
      Returns:
        DPI of generated pattern images.

    - #### isStrictHeaderFooterHandling

          public boolean isStrictHeaderFooterHandling()

      Returns true if headers and footers of title and facings are handled strict to the RTF specification. The RTF specification says:
      "In particular, if \facingp is not set, then only \header and \footer should be used; if \facingp is set, then only \headerl, \headerr, \footerl, and \footerr should be used."
      However, some (buggy) RTF documents contains for example only a left or right header/footer and no \facingp. Words displays those headers/footers like as "normal" headers/footers and seems not to respect the specification here.
      Returns:
        boolean

    - #### getEstimatorXScaling

          public double getEstimatorXScaling()

    - #### setHyphenationPolicy

          public void setHyphenationPolicy(int hyphenationPolicy)

      Sets the hyphenation policy.
      Parameters:
        `hyphenationPolicy` - int
      See Also:
        `HYPHENATION_POLICY_AUTO`, `HYPHENATION_POLICY_FORCE`, `HYPHENATION_POLICY_DISABLE`

    - #### setPatternImageDPI

          public void setPatternImageDPI(int patternImageDPI)

      Sets the dots per inch value applied to generated pattern image. Pattern images are generated if a table cell has a background pattern. Note, that some renderer doesn't respect DPI size and use a fixed DPI (e.g. FOP 0.20.5 uses 72 DPI).
      Parameters:
        `patternImageDPI` - DPI of generated pattern images.

    - #### setStrictHeaderFooterHandling

          public void setStrictHeaderFooterHandling(boolean strictHeaderFooterHandling)

      Sets whether headers and footers of title and facings are handled strict to the RTF specification. The RTF specification says:
      "In particular, if \facingp is not set, then only \header and \footer should be used; if \facingp is set, then only \headerl, \headerr, \footerl, and \footerr should be used."
      However, some (buggy) RTF documents contains for example only a left or right header/footer and no \facingp. Words displays those headers/footers like as "normal" headers/footers and seems not to respect the specification here. If this property is set to false, JFO behaves like MS Word.
      Parameters:
        `strictHeaderFooterHandling` - boolean

    - #### setEstimatorXScaling

          public void setEstimatorXScaling(double estimatorXScaling)

    - #### setEnableLanguageVariant

          public void setEnableLanguageVariant(boolean enableLanguageVariant)

    - #### reconfigure

          public void reconfigure(de.vc.config.Configuration configuration)
                           throws de.vc.config.ConfigurationException

      Re-Configures this configuration with an Avalon configuration object.
      Parameters:
        `configuration` - Configuration
      Throws:
        `de.vc.config.ConfigurationException`

    - #### configure

          public void configure(de.vc.config.Configuration configuration)
                         throws de.vc.config.ConfigurationException

      Configures this configuration with an Avalon configuration object.
      Parameters:
        `configuration` - Configuration
      Throws:
        `de.vc.config.ConfigurationException`

    - #### dataRowBorderPolicyToString

          public static final java.lang.String dataRowBorderPolicyToString(int policy)

      Returns the String representation for the data-row-border-policy property.
      Parameters:
        `policy` - Policy as int.
      Returns:
        Policy as String.

    - #### parseDataRowBorderPolicy

          public static final int parseDataRowBorderPolicy(java.lang.String policy)

      Returns the constant value for a String representation of the data-row-border-policy.
      Parameters:
        `policy` - Policy as String.
      Returns:
        Policy as int.

    - #### isReuseImages

          public boolean isReuseImages()

      Return true, if existing images in the image-output folder should be re-used.
      Returns:
        true if image with same ID are re-used.

    - #### setReuseImages

          public void setReuseImages(boolean reuseImages)

      Sets whether or not existing images in the image-output folder should be re-used. Nearly all images in a RTF file have a unique ID, which is also stored in the RTF. To gain performance JFO can reuse existing images in the image-output folder and doesn't rewrite them.
      Parameters:
        `reuseImages` - true to reuse images.

    - #### getDefaultImageDir

          public java.lang.String getDefaultImageDir()

      Gets the default directory where output-images are stored.
      Returns:
        Directory of images, may be null
      See Also:
        `ImportParameters.getImagePath()`

    - #### setDefaultImageDir

          public void setDefaultImageDir(java.lang.String dir)

      Sets the default image Directory.
      Parameters:
        `dir` - Directory.
      See Also:
        `ImportParameters.setImagePath(String)`

    - #### isShowInvalidIncFiles

          public boolean isShowInvalidIncFiles()

      Returns true if an error message is displayed for invalid / missing included files.
      Returns:
        boolean

    - #### setShowInvalidIncFiles

          public void setShowInvalidIncFiles(boolean showInvalidIncFiles)

      Sets whether invalid / missing included files generates an error message in the output document.
      Parameters:
        `showInvalidIncFiles` -

    - #### isShowInvalidIncBookmarks

          public boolean isShowInvalidIncBookmarks()

      Return true if invalid/missing bookmarks of included files produce an error message in the output file.
      Returns:
        true if error message are generated.

    - #### setShowInvalidIncBookmarks

          public void setShowInvalidIncBookmarks(boolean showInvalidIncBookmarks)

      Sets whether invalid/missing bookmarks of included files produce an error message in the output file.
      Parameters:
        `showInvalidIncBookmarks` -

    - #### isShowMissingIncFilename

          public boolean isShowMissingIncFilename()

      Gets whether missing filenames of INCLUDETEXT fields generates an error message in the output.
      Returns:
        Show missing filenames of INCLUDETEXT fields.

    - #### setShowMissingIncFilename

          public void setShowMissingIncFilename(boolean showMissingIncFilename)

      Sets whether missing filenames in INCLUDETEXT fields generates an error message in the output.
      Parameters:
        `showMissingIncFilename` -

    - #### getTrackChangesPolicy

          public int getTrackChangesPolicy()

    - #### setTrackChangesPolicy

          public void setTrackChangesPolicy(int trackChangesPolicy)

    - #### getTrackChangesRevisedColor

          public java.awt.Color getTrackChangesRevisedColor()

    - #### setTrackChangesRevisedColor

          public void setTrackChangesRevisedColor(java.awt.Color trackChangesRevisedColor)

    - #### getTrackChangesDeletedColor

          public java.awt.Color getTrackChangesDeletedColor()

    - #### setTrackChangesDeletedColor

          public void setTrackChangesDeletedColor(java.awt.Color trackChangesDeletedColor)

    - #### getImageHandler

          public java.lang.String getImageHandler()

    - #### setImageHandler

          public void setImageHandler(java.lang.String imageHandler)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.